Subject: Re: [RFC][PATCH] powerpc/64be: use ELFv2 ABI for big endian kernels

From: Segher Boessenkool <[email-masked]>
Date: Wed, 23 Nov 2016 08:38:34 -0600

On Thu, Nov 24, 2016 at 12:08:40AM +1100, Nicholas Piggin wrote:
> Question, are there any fundamental reasons we shouldn't use the ELFv2
> ABI to build big endian kernels if the compiler supports it?

No one uses ELFv2 for BE in production, and it isn't thoroughly tested
at all, not even regularly tested.  "Not supported", as far as GCC is
concerned (or any of the distros AFAIK).

There are no fundamental reasons of course, ABIs are largely just
conventions, not laws of nature.

Segher